Bug 1508649 - quiet option, should quiet errors ?
Summary: quiet option, should quiet errors ?
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: dnf
Version: 27
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Jaroslav Mracek
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-11-01 21:06 UTC by Sergio Monteiro Basto
Modified: 2018-10-22 16:13 UTC (History)
6 users (show)

Fixed In Version: dnf-4.0.4-1.fc29
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2018-10-22 16:13:30 UTC


Attachments (Terms of Use)

Description Sergio Monteiro Basto 2017-11-01 21:06:05 UTC
Description of problem:

when we use --quiet I expect see errors when dnf fails with fatal errors , let me know your opinion , though quiet it means remove some messages that aren't critical.  


Version-Release number of selected component (if applicable):
dnf-2.7.5-1.fc26.noarch

How reproducible:


Steps to Reproduce:
1. dnf repoquery --disablerepo='*' --enablerepo=rrrr --whatrequires x265-libs --alldeps --srpm --quiet  


Actual results:
(none)

Expected results:
Error: Unknown repo: 'rrrr'


Additional info:

Comment 1 Panu Matilainen 2017-11-02 05:36:32 UTC
Yeah, quiet should not silence errors, only warnings and other informative blah-blah.

There's also an inconsistency here, --disablerepo on non-existent repo is not considered an error but --enablerepo in that situation is.

Comment 2 Daniel Mach 2017-11-08 12:13:07 UTC
Putting this bug in the backlog.
Even if this seems to be a trivial change,
it will take time, because the change
will have to be consistently applied everywhere in DNF.

Comment 3 Sergio Monteiro Basto 2017-11-08 12:43:37 UTC
(In reply to Panu Matilainen from comment #1)
> Yeah, quiet should not silence errors, only warnings and other informative
> blah-blah.
> 
> There's also an inconsistency here, --disablerepo on non-existent repo is
> not considered an error but --enablerepo in that situation is.

BTW I don't any inconsistent --disablerepo '*' disable all repos

Comment 4 Fedora End Of Life 2018-05-03 08:18:00 UTC
This message is a reminder that Fedora 26 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 26. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '26'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version'
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not
able to fix it before Fedora 26 is end of life. If you would still like
to see this bug fixed and are able to reproduce it against a later version
of Fedora, you are encouraged  change the 'version' to a later Fedora
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's
lifetime, sometimes those efforts are overtaken by events. Often a
more recent Fedora release includes newer upstream software that fixes
bugs or makes them obsolete.

Comment 5 Jaroslav Mracek 2018-09-26 20:55:42 UTC
I created patch that should enhance the behavior (https://github.com/rpm-software-management/dnf/pull/1224)

Comment 6 Fedora Update System 2018-10-15 12:29:07 UTC
dnf-plugins-core-4.0.0-1.fc29 dnf-4.0.4-1.fc29 libdnf-0.22.0-1.fc29 has been submitted as an update to Fedora 29. https://bodhi.fedoraproject.org/updates/FEDORA-2018-2789f6b6e7

Comment 7 Fedora Update System 2018-10-15 18:23:35 UTC
dnf-4.0.4-1.fc29, dnf-plugins-core-4.0.0-1.fc29, libdnf-0.22.0-1.fc29 has been pushed to the Fedora 29 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2018-2789f6b6e7

Comment 8 Fedora Update System 2018-10-17 13:02:08 UTC
dnf-4.0.4-1.fc29 dnf-plugins-core-4.0.0-2.fc29 libdnf-0.22.0-2.fc29 has been submitted as an update to Fedora 29. https://bodhi.fedoraproject.org/updates/FEDORA-2018-2789f6b6e7

Comment 9 Fedora Update System 2018-10-17 23:31:01 UTC
dnf-4.0.4-1.fc29, dnf-plugins-core-4.0.0-2.fc29, libdnf-0.22.0-2.fc29 has been pushed to the Fedora 29 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2018-2789f6b6e7

Comment 10 Fedora Update System 2018-10-18 14:06:56 UTC
anaconda-29.24.6-1.fc29 dnf-4.0.4-1.fc29 dnf-plugins-core-4.0.0-2.fc29 libblockdev-2.20-2.fc29 libdnf-0.22.0-2.fc29 has been submitted as an update to Fedora 29. https://bodhi.fedoraproject.org/updates/FEDORA-2018-2789f6b6e7

Comment 11 Fedora Update System 2018-10-20 19:22:31 UTC
anaconda-29.24.7-1.fc29, dnf-4.0.4-1.fc29, dnf-plugins-core-4.0.0-2.fc29, libblockdev-2.20-2.fc29, libdnf-0.22.0-5.fc29 has been pushed to the Fedora 29 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2018-2789f6b6e7

Comment 12 Fedora Update System 2018-10-22 16:13:30 UTC
anaconda-29.24.7-1.fc29, dnf-4.0.4-1.fc29, dnf-plugins-core-4.0.0-2.fc29, libblockdev-2.20-2.fc29, libdnf-0.22.0-5.fc29 has been pushed to the Fedora 29 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.